package com.ruoyi.project.system.mapper;

import com.ruoyi.project.system.domain.TabBlog;
import com.ruoyi.project.system.domain.TabBlogExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabBlogMapper {
    int countByExample(TabBlogExample example);

    int deleteByExample(TabBlogExample example);

    int deleteByPrimaryKey(Integer bId);

    int insert(TabBlog record);

    int insertSelective(TabBlog record);

    List<TabBlog> selectByExampleWithBLOBs(TabBlogExample example);

    List<TabBlog> selectByExample(TabBlogExample example);

    TabBlog selectByPrimaryKey(Integer bId);

    int updateByExampleSelective(@Param("record") TabBlog record, @Param("example") TabBlogExample example);

    int updateByExampleWithBLOBs(@Param("record") TabBlog record, @Param("example") TabBlogExample example);

    int updateByExample(@Param("record") TabBlog record, @Param("example") TabBlogExample example);

    int updateByPrimaryKeySelective(TabBlog record);

    int updateByPrimaryKeyWithBLOBs(TabBlog record);

    int updateByPrimaryKey(TabBlog record);
}